/*
 * sharp_mipi_lcd.c
 */

#include "../dsim.h"

#include "lcd_ctrl.h"
#include "decon_lcd.h"
#include <asm/arch/gpio.h>

static int sharp_lcd_probe(struct dsim_device *dsim)
{
	return 1;
}

static int sharp_lcd_displayon(struct dsim_device *dsim)
{
	dsim_info("%s +\n", __func__);
	lcd_init(dsim->id, dsim->lcd_info);
	dsim_info("%s -\n", __func__);
	return 1;
}

static int sharp_lcd_suspend(struct dsim_device *dsim)
{
	return 1;
}

static int sharp_lcd_resume(struct dsim_device *dsim)
{
	return 1;
}

struct mipidsim_lcd_driver sharp_mipi_lcd_driver = {
	.probe		= sharp_lcd_probe,
	.displayon	= sharp_lcd_displayon,
	.suspend	= sharp_lcd_suspend,
	.resume		= sharp_lcd_resume,
};

struct mipidsim_lcd_driver *decon_get_panel_info(void)
{
	return &sharp_mipi_lcd_driver;
}
