/*
 * Copyright@ Samsung Electronics Co. LTD
 *
 * This software is proprietary of Samsung Electronics.
 * No part of this software, either material or conceptual may be copied or distributed, transmitted,
 * transcribed, stored in a retrieval system or translated into any human or computer language in any form by any means,
 * electronic, mechanical, manual or otherwise, or disclosed
 * to third parties without the express written permission of Samsung Electronics.


 * Alternatively, this program is free software in case of open source projec;
 * you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.

*/

#ifndef __BL2_IO_H__
#define __BL2_IO_H__

#define __raw_readl(addr) (*(volatile unsigned int *)(addr))
#define readl(addr) __raw_readl(addr)

#define __raw_writel(l,addr) ((*(volatile unsigned int *) (addr)) = (l))
#define writel(l,addr) __raw_writel(l,addr)

#endif /*__BL2_IO_H__*/

